wok-next rev 20978

Small improvements
author Aleksej Bobylev <al.bobylev@gmail.com>
date Thu Sep 27 01:34:11 2018 +0300 (2018-09-27)
parents 019246ad2f42
children e101fca31a08
files adeskbar/.icon.png awn/.icon.png gajim/.icon.png itaka/.icon.png itaka/receipt labyrinth/.icon.png lutris/.icon.png novnc/.icon.png novnc/receipt novnc/stuff/patches/launch.sh.patch novnc/stuff/patches/series openbox/.icon.png openshot/.icon.png pygoocanvas/receipt python-dbus/receipt python-websockify/.icon.png python-websockify/receipt python/receipt radiotray/.icon.png screenlets/.icon.png songwrite/.icon.png songwrite/receipt tahoe-lafs/.icon.png vim-tiny/receipt vim/receipt virt-manager/.icon.png zim/.icon.png
line diff
     1.1 Binary file adeskbar/.icon.png has changed
     2.1 Binary file awn/.icon.png has changed
     3.1 Binary file gajim/.icon.png has changed
     4.1 Binary file itaka/.icon.png has changed
     5.1 --- a/itaka/receipt	Wed Sep 26 00:03:58 2018 +0300
     5.2 +++ b/itaka/receipt	Thu Sep 27 01:34:11 2018 +0300
     5.3 @@ -1,4 +1,4 @@
     5.4 -# SliTaz package receipt.
     5.5 +# SliTaz package receipt v2.
     5.6  
     5.7  PACKAGE="itaka"
     5.8  VERSION="0.2.2"
     5.9 @@ -6,25 +6,20 @@
    5.10  SHORT_DESC="Itaka on-demand screenshot server. Start server and let client connect via http"
    5.11  MAINTAINER="pankso@slitaz.org"
    5.12  LICENSE="GPL2"
    5.13 +WEB_SITE="https://web.archive.org/web/20140701101226/http://itaka.jardinpresente.com.ar/"
    5.14 +HOST_ARCH="any"
    5.15 +
    5.16  TARBALL="$PACKAGE-$VERSION.tar.bz2"
    5.17 -WEB_SITE="https://web.archive.org/web/20140701101226/http://itaka.jardinpresente.com.ar/"
    5.18  WGET_URL="$SF_MIRROR/$PACKAGE/$TARBALL"
    5.19 -TAGS="screenshot"
    5.20  
    5.21 -DEPENDS="python-pygtk python-twisted"
    5.22 +compile_rules() {
    5.23 +	make PREFIX=$install/usr || return 1
    5.24  
    5.25 -# Rules to configure and make the package.
    5.26 -compile_rules()
    5.27 -{
    5.28 -	cd $src
    5.29 -	make PREFIX=$DESTDIR/usr
    5.30 +	ln -sf ../lib/itaka/itaka.py $install/usr/bin/itaka
    5.31  }
    5.32  
    5.33 -# Rules to gen a SliTaz package suitable for Tazpkg.
    5.34 -genpkg_rules()
    5.35 -{
    5.36 -	mkdir -p $fs/usr/share
    5.37 -	cp -a $install/usr/bin $fs/usr
    5.38 -	cp -a $install/usr/lib $fs/usr
    5.39 -	cp -a $install/usr/share/itaka $fs/usr/share
    5.40 +genpkg_rules() {
    5.41 +	copy @std
    5.42 +	DEPENDS="python-pygtk python-twisted"
    5.43 +	TAGS="screenshot"
    5.44  }
     6.1 Binary file labyrinth/.icon.png has changed
     7.1 Binary file lutris/.icon.png has changed
     8.1 Binary file novnc/.icon.png has changed
     9.1 --- a/novnc/receipt	Wed Sep 26 00:03:58 2018 +0300
     9.2 +++ b/novnc/receipt	Thu Sep 27 01:34:11 2018 +0300
     9.3 @@ -1,25 +1,28 @@
     9.4  # SliTaz package receipt v2.
     9.5  
     9.6  PACKAGE="novnc"
     9.7 -VERSION="201111004"
     9.8 +VERSION="1.0.0"
     9.9  CATEGORY="network"
    9.10 -SHORT_DESC="VNC client in HTML5/javascript."
    9.11 +SHORT_DESC="VNC client using HTML5 (WebSockets, Canvas) with encryption (wss://) support"
    9.12  MAINTAINER="pascal.bellard@slitaz.org"
    9.13  LICENSE="MPL2"
    9.14 -WEB_SITE="http://github.com/kanaka/noVNC"
    9.15 +WEB_SITE="https://kanaka.github.io/noVNC/"
    9.16  
    9.17 -TARBALL="$PACKAGE-$VERSION.tar.bz2"
    9.18 -WGET_URL="git|git://github.com/kanaka/noVNC.git"
    9.19 -
    9.20 -BUILD_DEPENDS="python python-pil openssl git"
    9.21 +TARBALL="$PACKAGE-$VERSION.tar.gz"
    9.22 +WGET_URL="https://github.com/novnc/noVNC/archive/v$VERSION.tar.gz"
    9.23  
    9.24  compile_rules() {
    9.25 -	mkdir -p $DESTDIR
    9.26 -	sed -i 's/bash/sh/;s/ps -p \([^ ]*\)/ps | grep "^ *\1 "/' utils/launch.sh
    9.27 +	mkdir -p $install/usr/share/novnc/
    9.28 +#	sed -i 's#bash#sh#; s#ps -p \([^ ]*\)#ps | grep "^ *\1 "#' utils/launch.sh
    9.29  
    9.30 -	IMAGE=/usr/share/images/slitaz-background.jpg
    9.31 -	[ -s $IMAGE ] && utils/img2js.py $IMAGE noVNC_logo > include/logo.js
    9.32 -	cp -a *.html images/favicon.ico utils include $DESTDIR
    9.33 +	cp -r $src/* $install/usr/share/novnc/
    9.34 +
    9.35 +	install -Dm755 utils/launch.sh $install/usr/bin/novnc_server
    9.36 +
    9.37 +	find $install -type f \( -name 'README.md' -o -name '.*' -o -name Makefile \) -delete
    9.38 +	rm -r $install/usr/share/novnc/docs/ $install/usr/share/novnc/utils/
    9.39 +
    9.40 +	cook_pick_docs README.md docs/
    9.41  }
    9.42  
    9.43  genpkg_rules() {
    9.44 @@ -38,7 +41,7 @@
    9.45  
    9.46  
    9.47  EOT
    9.48 -	DEPENDS="python python-numpy"
    9.49 -	SUGGESTED="python-pyopenssl openssl"
    9.50 +	DEPENDS="python-websockify net-tools"
    9.51 +	SUGGESTED="openssl"
    9.52  	TAGS="vnc remote-desktop html5"
    9.53  }
    10.1 --- /dev/null	Thu Jan 01 00:00:00 1970 +0000
    10.2 +++ b/novnc/stuff/patches/launch.sh.patch	Thu Sep 27 01:34:11 2018 +0300
    10.3 @@ -0,0 +1,53 @@
    10.4 +--- a/utils/launch.sh
    10.5 ++++ b/utils/launch.sh
    10.6 +@@ -1,4 +1,4 @@
    10.7 +-#!/usr/bin/env bash
    10.8 ++#!/bin/sh
    10.9 + 
   10.10 + # Copyright 2016 Joel Martin
   10.11 + # Copyright 2016 Solly Ross
   10.12 +@@ -110,42 +110,11 @@
   10.13 +     echo "Warning: could not find self.pem"
   10.14 + fi
   10.15 + 
   10.16 +-# try to find websockify (prefer local, try global, then download local)
   10.17 +-if [[ -e ${HERE}/websockify ]]; then
   10.18 +-    WEBSOCKIFY=${HERE}/websockify/run
   10.19 +-
   10.20 +-    if [[ ! -x $WEBSOCKIFY ]]; then
   10.21 +-        echo "The path ${HERE}/websockify exists, but $WEBSOCKIFY either does not exist or is not executable."
   10.22 +-        echo "If you intended to use an installed websockify package, please remove ${HERE}/websockify."
   10.23 +-        exit 1
   10.24 +-    fi
   10.25 +-
   10.26 +-    echo "Using local websockify at $WEBSOCKIFY"
   10.27 +-else
   10.28 +-    WEBSOCKIFY=$(which websockify 2>/dev/null)
   10.29 +-
   10.30 +-    if [[ $? -ne 0 ]]; then
   10.31 +-        echo "No installed websockify, attempting to clone websockify..."
   10.32 +-        WEBSOCKIFY=${HERE}/websockify/run
   10.33 +-        git clone https://github.com/novnc/websockify ${HERE}/websockify
   10.34 +-
   10.35 +-        if [[ ! -e $WEBSOCKIFY ]]; then
   10.36 +-            echo "Unable to locate ${HERE}/websockify/run after downloading"
   10.37 +-            exit 1
   10.38 +-        fi
   10.39 +-
   10.40 +-        echo "Using local websockify at $WEBSOCKIFY"
   10.41 +-    else
   10.42 +-        echo "Using installed websockify at $WEBSOCKIFY"
   10.43 +-    fi
   10.44 +-fi
   10.45 +-
   10.46 + echo "Starting webserver and WebSockets proxy on port ${PORT}"
   10.47 +-#${HERE}/websockify --web ${WEB} ${CERT:+--cert ${CERT}} ${PORT} ${VNC_DEST} &
   10.48 +-${WEBSOCKIFY} ${SSLONLY} --web ${WEB} ${CERT:+--cert ${CERT}} ${PORT} ${VNC_DEST} &
   10.49 ++${HERE}/websockify --web ${WEB} ${CERT:+--cert ${CERT}} ${PORT} ${VNC_DEST} &
   10.50 + proxy_pid="$!"
   10.51 + sleep 1
   10.52 +-if ! ps -p ${proxy_pid} >/dev/null; then
   10.53 ++if [ -z "$proxy_pid" ] || ! ps -o pid= | grep -qw ${proxy_pid}; then
   10.54 +     proxy_pid=
   10.55 +     echo "Failed to start WebSockets proxy"
   10.56 +     exit 1
    11.1 --- /dev/null	Thu Jan 01 00:00:00 1970 +0000
    11.2 +++ b/novnc/stuff/patches/series	Thu Sep 27 01:34:11 2018 +0300
    11.3 @@ -0,0 +1,3 @@
    11.4 +# Be Busybox compatible; websockify already in the dependencies
    11.5 +
    11.6 +launch.sh.patch
    12.1 Binary file openbox/.icon.png has changed
    13.1 Binary file openshot/.icon.png has changed
    14.1 --- a/pygoocanvas/receipt	Wed Sep 26 00:03:58 2018 +0300
    14.2 +++ b/pygoocanvas/receipt	Thu Sep 27 01:34:11 2018 +0300
    14.3 @@ -24,6 +24,6 @@
    14.4  }
    14.5  
    14.6  genpkg_rules() {
    14.7 -	copy @dev
    14.8 +	copy @std @dev
    14.9  	DEPENDS="python python-pygtk goocanvas"
   14.10  }
    15.1 --- a/python-dbus/receipt	Wed Sep 26 00:03:58 2018 +0300
    15.2 +++ b/python-dbus/receipt	Thu Sep 27 01:34:11 2018 +0300
    15.3 @@ -22,7 +22,7 @@
    15.4  	pip$SET install --no-compile --root=$install $ORIGIN==$VERSION || return 1
    15.5  
    15.6  	# fix installation
    15.7 -	mv $install/tmp/pip-build-*/dbus-python/build/lib.*/* \
    15.8 +	mv $install/tmp/pip-*/dbus-python/build/lib.*/* \
    15.9  		$install/usr/lib/python*/site-packages/
   15.10  	rm -r $install/tmp
   15.11  
    16.1 --- /dev/null	Thu Jan 01 00:00:00 1970 +0000
    16.2 +++ b/python-websockify/.icon.png	Thu Sep 27 01:34:11 2018 +0300
    16.3 @@ -0,0 +1,1 @@
    16.4 +../python/.icon.png
    16.5 \ No newline at end of file
    17.1 --- /dev/null	Thu Jan 01 00:00:00 1970 +0000
    17.2 +++ b/python-websockify/receipt	Thu Sep 27 01:34:11 2018 +0300
    17.3 @@ -0,0 +1,25 @@
    17.4 +# SliTaz package receipt v2.
    17.5 +
    17.6 +ORIGIN="websockify"
    17.7 +PACKAGE="python-websockify"
    17.8 +VERSION="0.8.0"
    17.9 +CATEGORY="python"
   17.10 +SHORT_DESC="WebSockets support for any application/server"
   17.11 +MAINTAINER="al.bobylev@gmail.com"
   17.12 +LICENSE="LGPL3"
   17.13 +WEB_SITE="https://pypi.org/project/$ORIGIN/"
   17.14 +HOST_ARCH="any"
   17.15 +REPOLOGY="python:websockify"
   17.16 +
   17.17 +BUILD_DEPENDS="python python-numpy  python3 python3-numpy"
   17.18 +SPLIT="${PACKAGE/python/python3}:3"
   17.19 +
   17.20 +compile_rules() {
   17.21 +	pip$SET install --no-compile --root=$install $ORIGIN==$VERSION
   17.22 +}
   17.23 +
   17.24 +genpkg_rules() {
   17.25 +	copy @std @dev # not a dev files really in include/
   17.26 +	py="${PACKAGE%%-*}" # python/python3
   17.27 +	DEPENDS="$py $py-numpy"
   17.28 +}
    18.1 --- a/python/receipt	Wed Sep 26 00:03:58 2018 +0300
    18.2 +++ b/python/receipt	Thu Sep 27 01:34:11 2018 +0300
    18.3 @@ -89,7 +89,7 @@
    18.4  genpkg_rules() {
    18.5  	case $PACKAGE in
    18.6  		*-dev)
    18.7 -			copy @dev test/ distutils/command/*.exe
    18.8 +			copy @dev test/ distutils/command/*.exe ensurepip/
    18.9  			find $fs -type f -name pyconfig.h -delete # move to python package
   18.10  			;;
   18.11  		*-idle)
    19.1 Binary file radiotray/.icon.png has changed
    20.1 Binary file screenlets/.icon.png has changed
    21.1 Binary file songwrite/.icon.png has changed
    22.1 --- a/songwrite/receipt	Wed Sep 26 00:03:58 2018 +0300
    22.2 +++ b/songwrite/receipt	Thu Sep 27 01:34:11 2018 +0300
    22.3 @@ -1,29 +1,26 @@
    22.4 -# SliTaz package receipt.
    22.5 +# SliTaz package receipt v2.
    22.6  
    22.7  PACKAGE="songwrite"
    22.8 -SOURCE="Songwrite2"
    22.9 -VERSION="0.4"
   22.10 +VERSION="0.14"
   22.11  CATEGORY="multimedia"
   22.12 -SHORT_DESC="music score and songbook editor."
   22.13 +SHORT_DESC="Music score and songbook editor"
   22.14  MAINTAINER="pascal.bellard@slitaz.org"
   22.15  LICENSE="GPL3"
   22.16 -TARBALL="$SOURCE-$VERSION.tar.gz"
   22.17  WEB_SITE="http://www.lesfleursdunormal.fr/static/informatique/songwrite/index_en.html"
   22.18 -WGET_URL="http://download.gna.org/songwrite/$TARBALL"
   22.19  
   22.20 -DEPENDS="python editobj gtk+ python-pycairo"
   22.21 +TARBALL="songwrite_0.14.orig.tar.gz"
   22.22 +WGET_URL="http://http.debian.net/debian/pool/main/s/songwrite/$TARBALL"
   22.23 +
   22.24  BUILD_DEPENDS="python"
   22.25 -SUGGESTED="TiMidity++ evince"
   22.26  
   22.27 -# Rules to configure and make the package.
   22.28 -compile_rules()
   22.29 -{
   22.30 -	cd $src
   22.31 -	python ./setup.py install --root=$DESTDIR
   22.32 +compile_rules() {
   22.33 +	python -B ./setup.py install --root=$install || return 1
   22.34 +
   22.35 +	mv $install/usr/share/songwrite/doc/ $install/usr/share/
   22.36  }
   22.37  
   22.38 -# Rules to gen a SliTaz package suitable for Tazpkg.   
   22.39 -genpkg_rules()                                      
   22.40 -{
   22.41 -	cp -a $install/usr $fs
   22.42 +genpkg_rules() {
   22.43 +	copy @std
   22.44 +	DEPENDS="python editobj gtk+ python-pycairo"
   22.45 +	SUGGESTED="TiMidity++ evince"
   22.46  }
    23.1 Binary file tahoe-lafs/.icon.png has changed
    24.1 --- a/vim-tiny/receipt	Wed Sep 26 00:03:58 2018 +0300
    24.2 +++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
    24.3 @@ -1,73 +0,0 @@
    24.4 -# SliTaz package receipt.
    24.5 -
    24.6 -PACKAGE="vim-tiny"
    24.7 -VERSION="7.4"
    24.8 -CATEGORY="editors"
    24.9 -SHORT_DESC="Advanced text editor with no GUI"
   24.10 -MAINTAINER="erjo@slitaz.org"
   24.11 -LICENSE="other"
   24.12 -WEB_SITE="http://www.vim.org/"
   24.13 -CONFIG_FILES="/etc/vim/vimrc"
   24.14 -TAGS="text-editor"
   24.15 -
   24.16 -TARBALL="vim-$VERSION.tar.bz2"
   24.17 -WGET_URL="ftp://ftp.vim.org/pub/vim/unix/$TARBALL"
   24.18 -
   24.19 -DEPENDS="ncurses"
   24.20 -BUILD_DEPENDS="ncurses-dev"
   24.21 -
   24.22 -# Rules to configure and make the package.
   24.23 -compile_rules()
   24.24 -{
   24.25 -	echo '#define SYS_VIMRC_FILE "/etc/vimrc"' >> src/feature.h
   24.26 -
   24.27 -	./configure --prefix=/usr \
   24.28 -		--with-features=tiny \
   24.29 -		--without-x \
   24.30 -		--disable-gui \
   24.31 -		--enable-multibyte \
   24.32 -		--with-vim-name=$PACKAGE \
   24.33 -		--disable-acl \
   24.34 -		$CONFIGURE_ARGS &&
   24.35 -	make && make install
   24.36 -
   24.37 -	mkdir -p $DESTDIR/etc/vim
   24.38 -	cp -a $src/runtime/vimrc_example.vim $DESTDIR/etc/vim/vimrc
   24.39 -
   24.40 -	mkdir -p $install/usr/share/doc
   24.41 -	mv $install/usr/share/vim/vim*/doc $install/usr/share/doc/$PACKAGE-$VERSION
   24.42 -}
   24.43 -
   24.44 -# Rules to gen a SliTaz package suitable for Tazpkg.
   24.45 -genpkg_rules()
   24.46 -{
   24.47 -	copy etc/ bin/ vim/
   24.48 -	rm -f  $fs/usr/bin/*tutor
   24.49 -	rm -rf $fs/usr/share/vim/vim*/tutor
   24.50 -}
   24.51 -
   24.52 -post_install()
   24.53 -{
   24.54 -	cmd=$(readlink "$1/bin/vi")
   24.55 -	if [ "$cmd" != '/usr/bin/vim' ]; then
   24.56 -		echo
   24.57 -		echo "**** Actual VI link : $cmd"
   24.58 -		echo
   24.59 -		echo -n 'Do you want vim  for /bin/vi (y/N)? : '; read -t 30 anser
   24.60 -		if [ "$anser" == 'y' ]; then
   24.61 -			echo
   24.62 -			action 'Removing vi link to make a new one pointing on /usr/bin/vim...'
   24.63 -			rm "$1/bin/vi" && ln -sf /usr/bin/vim-tiny "$1/bin/vi"
   24.64 -			status
   24.65 -		else
   24.66 -			echo
   24.67 -			echo "Leaving /bin/vi to $cmd"
   24.68 -		fi
   24.69 -	fi
   24.70 -}
   24.71 -
   24.72 -post_remove()
   24.73 -{
   24.74 -	# restore previous symlink
   24.75 -	ln -sf /bin/busybox "$1/bin/vi"
   24.76 -}
    25.1 --- a/vim/receipt	Wed Sep 26 00:03:58 2018 +0300
    25.2 +++ b/vim/receipt	Thu Sep 27 01:34:11 2018 +0300
    25.3 @@ -1,15 +1,15 @@
    25.4  # SliTaz package receipt v2.
    25.5  
    25.6  PACKAGE="vim"
    25.7 -VERSION="8.1"
    25.8 +VERSION="8.1.0436"
    25.9  CATEGORY="editors"
   25.10  SHORT_DESC="Advanced text editor"
   25.11  MAINTAINER="erjo@slitaz.org"
   25.12  LICENSE="other"
   25.13 -WEB_SITE="http://www.vim.org/"
   25.14 +WEB_SITE="https://www.vim.org/"
   25.15  
   25.16 -TARBALL="$PACKAGE-$VERSION.tar.bz2"
   25.17 -WGET_URL="ftp://ftp.vim.org/pub/vim/unix/$TARBALL"
   25.18 +TARBALL="$PACKAGE-$VERSION.tar.gz"
   25.19 +WGET_URL="https://github.com/vim/vim/archive/v$VERSION.tar.gz"
   25.20  
   25.21  BUILD_DEPENDS="python ncurses-dev acl-dev diffutils gettext"
   25.22  SPLIT="vim-tiny:tiny"
   25.23 @@ -58,8 +58,11 @@
   25.24  
   25.25  # common post-install for vim and vim-tiny
   25.26  post_install() {
   25.27 +	if [ -n "$quiet" ]; then return; fi
   25.28 +
   25.29  	cmd=$(readlink "$1/bin/vi")
   25.30  	[ "$cmd" != '/usr/bin/vim' ] || return
   25.31 +
   25.32  	echo
   25.33  	echo "**** Actual VI link : $cmd"
   25.34  	echo
    26.1 Binary file virt-manager/.icon.png has changed
    27.1 Binary file zim/.icon.png has changed